%define gcj_support     1

%define eclipse_name    eclipse
%define eclipse_base    %{_datadir}/%{eclipse_name}


Name:		eclipse-sdk-nls
Version:	0.1.0
Release:	2%{?dist}
Summary:	Eclipse language packs for eclipse-sdk 
Group:		Translations
License:	Eclipse Public License
URL:		http://wiki.eclipse.org/index.php/Linux_Distributions_Project

Source0:	http://download.eclipse.org/eclipse/downloads/drops/L-3.2.1_Language_Packs-200609210945/NLpack1-eclipse-SDK-3.2.1-gtk.zip
Source1:	http://download.eclipse.org/eclipse/downloads/drops/L-3.2.1_Language_Packs-200609210945/NLpack2-eclipse-SDK-3.2.1-gtk.zip
Source2:	http://download.eclipse.org/eclipse/downloads/drops/L-3.2.1_Language_Packs-200609210945/NLpack2a-eclipse-SDK-3.2.1-gtk.zip
Source3:	http://download.eclipse.org/eclipse/downloads/drops/L-3.2.1_Language_Packs-200609210945/NLpackBidi-eclipse-SDK-3.2.1-gtk.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:	eclipse-nlspackager

Requires:	eclipse-rcp
BuildArch:	noarch

%package da
Summary:		Eclipse SDK language pack for Danish
Group:			Integrated Development Environments (IDE)

%package de
Summary:		Eclipse SDK language pack for German
Group:			Integrated Development Environments (IDE)
	
%package el
Summary:		Eclipse SDK language pack for Greek
Group:			Integrated Development Environments (IDE)

%package es
Summary:		Eclipse SDK language pack for Spanish
Group:			Integrated Development Environments (IDE)

%package fi
Summary:		Eclipse SDK language pack for Finnish
Group:			Integrated Development Environments (IDE)

%package fr
Summary:		Eclipse SDK language pack for French
Group:			Integrated Development Environments (IDE)

%package it
Summary:		Eclipse SDK language pack for Italian
Group:			Integrated Development Environments (IDE)

%package ja
Summary:		Eclipse SDK language pack for Japanese
Group:			Integrated Development Environments (IDE)

%package ko
Summary:		Eclipse SDK language pack for Korean
Group:			Integrated Development Environments (IDE)

%package nl
Summary:		Eclipse SDK language pack for Dutch
Group:			Integrated Development Environments (IDE)

%package no
Summary:		Eclipse SDK language pack for Norwegian
Group:			Integrated Development Environments (IDE)

%package pt		
Summary:		Eclipse SDK language pack for Portuguese
Group:			Integrated Development Environments (IDE)

%package sv		
Summary:		Eclipse SDK language pack for Swedish
Group:			Integrated Development Environments (IDE)

%package tr		
Summary:		Eclipse SDK language pack for Turkish
Group:			Integrated Development Environments (IDE)
	
%package zh		
Summary:		Eclipse SDK language pack for Chinese
Group:			Integrated Development Environments (IDE)

%description
This eclipse-sdk-nls package contains multiple language translations for
Eclipse SDK.
	
%description de
Eclipse language pack for German translations.

%description es
Eclipse language pack for Spanish translations.

%description fr
Eclipse language pack for French translations.

%description it
Eclipse language pack for Italian translations.

%description ko
Eclipse language pack for Korean translations.

%description ja
Eclipse language pack for Japanese translations.

%description pt
Eclipse language pack for Portuguese(and Brazil) translations.

%description zh
Eclipse language pack for Chinese(Simplified and Traditional) translations.

%description da
Eclipse language pack for Danish translations.

%description nl
Eclipse language pack for Dutch translations.

%description fi
Eclipse language pack for Finnish translations.

%description el
Eclipse language pack for Greek translations.

%description no
Eclipse language pack for Norwegian translations.

%description sv
Eclipse language pack for Swedish translations.

%description tr
Eclipse language pack for Turkish translations.

%prep
%setup -q -c -n sdk-langpack


%build
# See comments in the script to understand this.
#/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base}
cp -r %{eclipse_base} SDK
SDK=$(cd SDK > /dev/null && pwd)

# Eclipse may try to write to the home directory.
mkdir home
homedir=$(cd home > /dev/null && pwd)

mkdir langpacks
# Run the langpackager application  
java	\
	-cp $SDK/startup.jar			\
	-Dosgi.sharedConfiguration.area=%{_libdir}/eclipse/configuration	\
	-Duser.home=$homedir			\
	org.eclipse.core.launcher.Main		\
	-consolelog				\
	-application org.eclipse.linuxtools.nlspackager.NLSPackagerApplication	\
	-d langpacks %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3}


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{eclipse_base}

pushd langpacks
cp -rp eclipse $RPM_BUILD_ROOT%{eclipse_base}/..
popd

find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.da_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > da.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.da_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> da.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.de_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > de.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.de_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> de.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.el_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > el.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.el_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> el.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.es_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > es.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.es_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> es.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.fi_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > fi.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.fi_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> fi.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.fr_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > fr.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.fr_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> fr.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.it_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > it.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.it_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> it.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.ja_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > ja.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.ja_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> ja.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.ko_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > ko.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.ko_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> ko.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.nl_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > nl.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.nl_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> nl.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.no_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > no.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.no_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> no.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.pt_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > pt.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.pt_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> pt.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.sv_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > sv.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.sv_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> sv.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.tr_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > tr.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.tr_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> tr.files
find $RPM_BUILD_ROOT%{eclipse_base}/features -name *.zh_*	\
	| sed -e s:$RPM_BUILD_ROOT:: > zh.files
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.zh_*	\
	| sed -e s:$RPM_BUILD_ROOT:: >> zh.files

# A bug creates a plugin that should not exist. So delete these here for now,
# but needs to be fixed in eclipse-nlspackager.

find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.cu_* -delete
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.cs_* -delete
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.ar_* -delete
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.ac_* -delete
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.hu_* -delete
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.iw_* -delete
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.pl_* -delete
find $RPM_BUILD_ROOT%{eclipse_base}/plugins -name *.ru_* -delete


find $RPM_BUILD_ROOT%{eclipse_base}/features -maxdepth 1 -type d -name *.cs_* -exec rm -rf '{}' \; 
find $RPM_BUILD_ROOT%{eclipse_base}/features -maxdepth 1 -type d -name *.ar_* -exec rm -rf '{}' \; 
find $RPM_BUILD_ROOT%{eclipse_base}/features -maxdepth 1 -type d -name *.ac_* -exec rm -rf '{}' \; 
find $RPM_BUILD_ROOT%{eclipse_base}/features -maxdepth 1 -type d -name *.hu_* -exec rm -rf '{}' \; 
find $RPM_BUILD_ROOT%{eclipse_base}/features -maxdepth 1 -type d -name *.iw_* -exec rm -rf '{}' \; 
find $RPM_BUILD_ROOT%{eclipse_base}/features -maxdepth 1 -type d -name *.pl_* -exec rm -rf '{}' \; 
find $RPM_BUILD_ROOT%{eclipse_base}/features -maxdepth 1 -type d -name *.ru_* -exec rm -rf '{}' \; 
%clean
rm -rf $RPM_BUILD_ROOT

%files da -f da.files
%defattr(-,root,root)

%files de -f de.files
%defattr(-,root,root)

%files el -f el.files
%defattr(-,root,root)

%files es -f es.files
%defattr(-,root,root)

%files fi -f fi.files
%defattr(-,root,root)

%files fr -f fr.files
%defattr(-,root,root)

%files it -f it.files
%defattr(-,root,root)

%files ja -f ja.files
%defattr(-,root,root)

%files ko -f ko.files
%defattr(-,root,root)

%files nl -f nl.files
%defattr(-,root,root)

%files no -f no.files
%defattr(-,root,root)

%files pt -f pt.files
%defattr(-,root,root)

%files sv -f sv.files
%defattr(-,root,root)

%files tr -f tr.files
%defattr(-,root,root)

%files zh -f zh.files
%defattr(-,root,root)

%changelog
* Wed Feb 28 2007 Kyu Lee <klee@redhat.com> 0.1.0-2
- Added install and files section.

* Thu Feb 15 2007 Ben Konrath <bkonrath@redhat.com> 0.1.0-1
- Initial release.
